Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154676 - FC 4 t2 will not install on Fujitsu Siemens M430 w/S-ATA disks
Summary: FC 4 t2 will not install on Fujitsu Siemens M430 w/S-ATA disks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 14:14 UTC by Johnny Ljunggren
Modified: 2013-07-03 02:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 05:55:23 UTC


Attachments (Terms of Use)

Description Johnny Ljunggren 2005-04-13 14:14:59 UTC
Description of problem:
I am trying to install Fedora Core 4 test 2 on three newly bought Fujitsu
Siemens M430 workstations with a serial ATA hard drive included. When booting
up, Anaconda will not find the hard drive and thus abort the installation. In
the BIOS it is possible to change the ATA configuration. There are four
alternatives: Native, RAID, Compatible, AHCI. RAID is not applicable here but
the default, Native, will not work. Choosing AHCI or Compatible works.
Compatible is described as S-ATA mapped to normal IDE.
I am not sure why Native doesn't work but it would be very nice to have it
working out of the box, as there are several machines to install (by unskilled
personnel). WinXP SP2 did not have a problem with the Native mode....

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Buy/get hold of Fujitsu Siemens M430 with Serial ATA hard drive
2. Try to install Fedora Core 4 test 2
3.
  
Actual results:
Anaconda will not find any hard drives

Expected results:
Anaconda should find and install as usual

Additional info:
Controller info:
00:1f.2 Class 0106: Intel Corporation 82801FR/FRW (ICH6R/ICH6RW) SATA Controller
(rev 03)

Comment 1 Marius Andreiana 2005-04-13 21:18:25 UTC
Another report with missing SATA support: bug #154619

Comment 2 Dave Jones 2005-06-27 23:12:24 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 3 Dave Jones 2005-07-15 21:03:09 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.



Note You need to log in before you can comment on or make changes to this bug.